/* 
 * TCS Alignment Toolbox
 * 
 * Copyright (C) 2013, 2014
 * Benjamin Paaßen, Charlie Krüger, Georg Zentgraf
 * AG Theoretical Computer Science
 * Centre of Excellence Cognitive Interaction Technology (CITEC)
 * University of Bielefeld
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This package contains comparators that define distances between Values.
 *
 * Please refer to the Comparator class for more details on the Comparator
 * concept.
 *
 * As the result of a Comparator has to be in the interval [0,1] and some
 * distances are not bound in that interval this package also provides
 * normalizers that map from the interval [0,infinity) to [0,1]. Please refer to
 * the Normalizer interface for more information on that topic.
 *
 * @author Benjamin Paassen - bpaassen@techfak.uni-bielefeld.de
 */
package de.unibi.citec.tcs.alignment.comparators;
