/* 
 * TCS Alignment Toolbox
 * 
 * Copyright (C) 2013, 2014
 * Benjamin Paaßen, Charlie Krüger, Georg Zentgraf
 * AG Theoretical Computer Science
 * Centre of Excellence Cognitive Interaction Technology (CITEC)
 * University of Bielefeld
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * This package contains the actual AlignmentAlgorithms as well as their return
 * classes. Please refer to the AlignmentAlgorithm interface if you want to
 * learn in more detail what we define as an "Alignment" here.
 *
 * If you want to implement a new Algorithm yourself you might want to have a
 * closer look at the AbstractGapAlignmentAlgorithm which implements some
 * generic functionality conveniently.
 *
 * For fast calculation of pairwise alignments between multiple sequences it is
 * recommended to use the ParallelProcessingEngine.
 *
 * @author Benjamin Paassen - bpaassen@techfak.uni-bielefeld.de
 */
package de.unibi.citec.tcs.alignment;
